package com.changhong.epc.constter.form.budget;

/**
 * 预算国际化常量类
 */
public interface BudgetMsg {

    /**
     * 预算子表单数量与上级预算不一致
     */
    String BUDGET_CHILD_SIZE                = "BUDGET_CHILD_SIZE";

    /**
     * 合同报销阶段数量与合同信息阶段不一致
     */
    String CONTRACT_CHILD_SIZE              = "CONTRACT_CHILD_SIZE";

    /**
     * 超出合同信息阶段金额
     */
    String OVERTOP_CONTRACT_MONEY           = "OVERTOP_CONTRACT_MONEY";

    /**
     * 预算余额不足
     */
    String BUDGET_MONEY_NOT_ENOUGH          = "BUDGET_MONEY_NOT_ENOUGH";

    /**
     * 回收金额不能大于预算余额
     */
    String RECOVERY_BUDGET_MONEY_NOT_ENOUGH = "RECOVERY_BUDGET_MONEY_NOT_ENOUGH";

    /**
     * 扩展预算金额不能大于上级预算余额
     */
    String EXTEND_BUDGET_MONEY_NOT_ENOUGH   = "EXTEND_BUDGET_MONEY_NOT_ENOUGH";

    /**
     * 其它单据正在使用此预算单，请稍后再试
     */
    String BUDGET_LOCK                      = "BUDGET_LOCK";

    /**
     * 未找到预算信息
     */
    String EMPTY_BUDGET                     = "EMPTY_BUDGET";

    /**
     * 预算扩展日期验证
     */
    String BUDGET_EXPEND_DATE_ERROR         = "BUDGET_EXPEND_DATE_ERROR";

    /**
     * 预算信息无效，请从新选择
     */
    String BUDGET_INVALID                   = "BUDGET_INVALID";

    /**
     * 申请信息无效，请从新选择
     */
    String APPLY_INVALID                    = "APPLY_INVALID";
    
    /**
     * 还款金额超出
     */
    String ALREADY_REPAID_OUT               = "ALREADY_REPAID_OUT";

    /**
     * 当前固定资产已经报销
     */
    String ASSET_EXTEND_REPETITION = "ASSET_EXTEND_REPETITION";

	  /**
     * 个人抵扣金额大于当前还款总金额/当前无借款
     * */
    String PERSION_COST_OUT ="PERSION_COST_OUT";

    /*记账异常*/

    /**
     * 创建订单失败
     */
    String CREATE_ORDERCODE_ERR = "CREATE_ORDERCODE_ERR";
    
    /**
     * 超出预算金额
     */
    String CONTRACT_BUDGET_OUT = "CONTRACT_BUDGET_OUT";
    
    /**
     * 此合同以终止
     */
    String CONTRACT_OVER = "CONTRACT_OVER";

    /**
     * 预算条件不完整,请完善数据
     */
    String BUDGETINFO_DEFICLENCY = "BUDGETINFO_DEFICLENCY";

    /**
     * 预算单明细中无数据
     */
    String BUDGETINFO_NOTFOUND = "BUDGETINFO_NOTFOUND";

    /**
     * 当亲部门已有相同预算
     */
    String DEP_RETEPI = "DEP_RETEPI";



}
