package com.changhong.epc.constter.parsing;

public interface ConstRuleMsg {

    // 规则检查通过
    Integer SUCCESS = 1;

    // 规则检查不通过
    Integer ERROR   = 2;

    /**
     * 提示
     */
    Integer LEVEL_10 = 10;

    /**
     * 忽略
     */
    Integer LEVEL_20 = 20;

    /**
     * 不可提交
     */
    Integer LEVEL_30 = 30;

    /**
     * 配置表对应
     */
    String RULE_MSG_MDCODE = "ruleMsgMdCode";

    /**
     * te_rule_msg_规则信息
     * RU_TYPE3=30  严重错误不予提交
     * RU_TYPE2=20  有问题但是不影响进程
     * RU_TYPE1=10  通过直接提交
     */
    Integer RU_TYPE3=30;
    Integer RU_TYPE2=20;
    Integer RU_TYPE1=10;
    /**
     * te_rule_msg 状态
     * RU_STATUS1=1; 处理完成
     * RU_STATUS2=2;
     */
    Integer RU_STATUS1=1;
    Integer RU_STATUS2=2;
}
