package com.changhong.epc.constter.parsing.bill;

/**
 * 映射字段code
 * @ClassName: ConstMappingCode
 
 * @author [九鼎联合科技]
 * @date 2017年3月18日 下午4:41:43
 */
public interface ConstMappingCode {
	//基础数据对应标识符
	String CITY_DATA 				= "CSDQ";         			 	// 城市地区数据表
	String CITY_LEVEL_DATA 			= "CSJB";  	 				 	// 城市级别数据表
	
	String MAPPING_MDCODE			= "mapping";					// 映射主数据
	
	String INSTITUTION_DATA 		= "org";      					// 组织机构主数据表
	String INSTITUTION_CODE_DATA	= "orgCode";      				// 组织机构主数据表code
	String PRJECT_DATA 				= "project";      				// 项目
	
	String PERSONNEL_DATA       	= "person";       				// 人员数据表
	String PERSONNEL_CODE_DATA  	= "personCode";       			// 人员数据表code
	String PERSONNEL_NAME_DATA		= "personName";       			// 人员数据表name
	
	String EMP_DATA					= "empPersion";					// 职工人员数据表
	String EMP_CODE_DATA			= "empCode";					// 职工人员数据表code
	String EMP_NAME_DATA			= "empName";					// 职工人员数据表name
	
	String BUDGET_BEGIN_DATE 		= "beginCalendar";         		// 预算开始时间
	String BUDGET_END_DATE 			= "endCalendar";         		// 预算截止时间
	
	String APPLY_BEGINDATE			= "applyBeginDate";				// 申请开始时间
	String APPLY_ENDDATE			= "applyEndDate";				// 申请截止时间
	
	String APPLY_JOURNEY_BEGINDATE	= "applyJourneyBeginDate";		// 申请行程开始时间
	String APPLY_JOURNEY_ENDDATE	= "applyJourneyEndDate";		// 申请行程截止时间

	String EXPEND_BEGINDATE			= "expendBeginDate";			// 报销开始时间
	String EXPEND_ENDDATE			= "expendEndDate";				// 报销截止时间
	
	String EXPEND_JOURNEY_BEGINDATE	= "expendJourneyBeginDate";		// 报销行程开始时间
	String EXPEND_JOURNEY_ENDDATE	= "expendJourneyEndDate";		// 报销行程截止时间
	
	String SUPER_BUDGET 			= "superBudget";         		// 上级预算管控
	String APPLY_JOIN_BUDGET 		= "applyJoinBudget";         	// 占用预算
	String BUDGET_MONEY 			= "budgetMoney";         		// 预算金额
	String APPLY_MONEY 				= "applyMoney";         		// 申请金额
	
	String EXPEND_MONEY 			= "expendMoney";         		// 报销金额
	String EXPEND_PAYWAY			= "payWay";						// 付款方式
	String EXPEND_EXPENDEPT			= "expenDept";					// 报销部门
	String EXPEND_EXPENDESC			= "expenDesc";					// 报销说明
	String EXPEND_AGENT				= "Agent";						// 报销人
	String EXPEND_PROCODE			= "proCode";					// 项目编号
	String EXPEND_BORROWER			= "borrower";					// 借款人
	String EXPEND_ZRCVERT			= "zrcvert";					// 收款方
	String EXPEND_ZRACCT			= "zracct";						// 收款方银行账号
	String EXPEND_BANKL				= "bankl";						// 收款方银行代码
	
	String JOURNEY_DAYS				= "journeyDays";				// 行程天数
	String JOURNEY_HOURS			= "journeyHours";				// 行程小时数
	String JOURNEY_KMS				= "journeyKms";					// 行程公里数
	String SPAN_NIGHT_BUSCODE		= "spanNight";					// 是否跨夜
	
	String JOURNEY_ENDDATE			= "journeyEndDate";				// 行程结束时间
	
	String DESCRIPTION				= "description";				// 备注说明
	String MONEY_TYPE				= "moneyType";					// 费用类型
	
}
