package com.changhong.epc.constter.parsing.loop;

public interface LoopServiceConst {
	
	/**
	 * 服务执行时间间隔  毫秒数
	 */
	int  EXE_SERVICE_SPACE = 1000;
	
	/**
	 * 未处理状态
	 */
	int  UNTREATED = 0;

	/**
	 * 等待处理
	 */
	int AUDIT_STATUS = 2;
	
	/**
	 * 已处理状态
	 */
	int  TREATED = 4;
	
	/**
	 * 失败状体
	 */
	int  OVERDUE = 8;
	
	/**
	 * 默认间隔时间
	 */
	long SLEEP_DEF_TIME = 30 * 1000L;
	
	long RUN_DEF_TIME = 1000L;
	
	/**
	 * 最小运行时间
	 */
	long SLEEP_MIN_TIME = 5L;
	
	/**
	 * 最大间隔时间 
	 */
	long SLEEP_MAX_TIME  = 20  *1000L;
	
	
}
