package com.changhong.epc.constter.system;

import com.changhong.epc.constter.base.BaseConst;

public interface PrivateRestConst extends BaseConst {
	
	String TOKEN 		= "token";
	
	String TENANT_ID 	= "tenantId";
	String TENANT_NAME  = "tenantName";
	String COMPANY_NAME = "companyName";
	String COMPANY_ID	= "companyId";
	String SERVICE_ID = "serviceId";
	String SERVER_NAME = "serverName";
	String APP_ID		= "appId";
	String APP_KEY      ="appKey";
	String OPEN_ID		= "openId";
	String USER_NAME = "userName";
	String LIVEMODE		= "livemode";
	
	/**
	 * 权限系统对应appKey
	 */
	String POWER_APPKEY = "powerAppKey";
	
	/**
	 * 权限系统对应securityKey
	 */
	String POWER_SECURITYKEY = "powerSecurityKey";
	/**
	 * 业务系统接入id
	 */
	String ACCESS_ID="accessId";
	/**
	 * 业务系统安全验证key
	 */
	String SECURITY_KEY="securityKey";
}
