package com.changhong.epc.constter.system;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Table;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
/**
 * 
 * @ClassName: Service
 * @author [九鼎联合科技]
 * @date 2017年10月31日 下午05:55:38
 */
@Table(name="ubp_service")
@ApiModel(value="业务系统控制信息")
@Data
//@EqualsAndHashCode(callSuper=true)
public class Service implements Serializable {

	private static final long serialVersionUID = 1L;
	
	/**
	 * 业务系统id
	 * 表字段：app_id
	 */
	@ApiModelProperty("业务系统id")
	@Column(name="app_id")
    private Integer appId;
	
	/**
	 * 业务系统名称
     * 表字段：app_name
     */
	@ApiModelProperty("业务系统名称")
	@Column(name="app_name")
    private String appName;
	
	/**
	 * 
     * 表字段：access_id
     */
	@ApiModelProperty("业务系统接入id")
	@Column(name="access_id")
    private String accessId;
	
	/**
	 * 
     * 表字段：app_key
     */
	@ApiModelProperty("业务系统Key")
	@Column(name="app_key")
    private String appKey;
	
	/**
	 * 
     * 表字段：security_key
     */
	@ApiModelProperty("业务系统安全秘钥")
	@Column(name="security_key")
    private String securityKey;
    
	@ApiModelProperty("权限中心id")
	@Column(name="data_permission")
	private String dataPermission;
	
	
	@Column(name="is_multi_tenant")
	private String isMultiTenant;
	
	
	@Column(name="is_local_organization")
	private String  isLocalOrganization;
	
	
	@Column(name="organization_url")
	private String  organizationUrl;
}
