package com.changhong.epc.constter.system;

import javax.persistence.Column;
import javax.persistence.Table;

import com.iemsoft.framework.cloud.core.base.bean.BaseStringPrimaryKey;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
public class TableRule{
	
	/**
	 * 业务系统id
	 */
	@ApiModelProperty("业务系统id")
	@Column(name="service_id")
	private Integer serviceId;
	
	/**
	 * 租户id
	 */
	@ApiModelProperty("租户id")  
	@Column(name="tenant_id")
	private Integer tenantId;
	
	/**
	 * 公司ID
	 */
	@ApiModelProperty("公司id")  
	@Column(name="company_id")
	private Integer  companyId;
	/**
	 * 业务系统key
	 */
	@ApiModelProperty("业务系统key")  
	@Column(name="app_key")
	private String appKey;
	
	/**
	 * 安全验证key
	 */
	@ApiModelProperty("安全验证key")  
	@Column(name="security_key")
	private String securityKey;
	
	@ApiModelProperty("业务系统接入id")  
	@Column(name="access_id")
	private String accessId;
	
	private String secretKey;
	
	private String serviceName;

}
