package com.changhong.epc.constter.base;

import com.iemsoft.framework.cloud.core.base.bean.BaseNumberPrimaryKey;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.persistence.Transient;

@Data
@EqualsAndHashCode(callSuper=false)
public class BaseBean extends BaseNumberPrimaryKey{

	/**
	 * 页码
	 */
	@Transient
	private Integer pageNum;
	
	/**
	 * 每页条数
	 */
	@Transient
	private Integer pageSize;
	
}
