package com.changhong.epc.constter.parsing.asset;

public interface AssetMsg {

    /**
     * {}部门{}无效或不可计提
     */
    String DEPRECIATION_MONTH_ERROR         = "DEPRECIATION_MONTH_ERROR";

    /**
     * {}部门{}以记账，不可从新计提
     */
    String ACCOUNT_NOTEMPTY_ERROR           = "ACCOUNT_NOTEMPTY_ERROR";

    /**
     * 没有资产不可折旧
     */
    String NO_ASSET_ERROR                   = "NO_ASSET_ERROR";

    /**
     * 只有计提成功的资产才可以记账
     */
    String ACCOUNT_NOT_DEPRECIATION         = "ACCOUNT_NOT_DEPRECIATION";

    /**
     * 存在未计提资产，请重新计提
     */
    String NEW_ASSET_NOT_DEPRECIATION       = "NEW_ASSET_NOT_DEPRECIATION";

    /**
     * 当前公司没有固定资产记账服务
     */
    String NOT_ACCOUNT_SERVER               = "NOT_ACCOUNT_SERVER";

    /**
     * 计提时间不可大于当前月份
     */
    String DEPRECIATION_GT_NOW_MONTH_ERROR  = "DEPRECIATION_GT_NOW_MONTH_ERROR";

    /**
     * 上月计提未记账
     */
    String LAST_DEPRECIATION_NOT_ACCOUNT    = "LAST_DEPRECIATION_NOT_ACCOUNT";

    /**
     * 请创建资产化日期{}的资产
     */
    String CREATE_ASSET_DATE_ERROR            = "CREATE_ASSET_DATE_ERROR";
}
