package com.changhong.epc.constter.parsing.asset;

import org.springframework.ui.ModelMap;

import java.util.Objects;

public interface AssetStatic {
	String CANDEPRECIATION = "F000001";//可以折旧
	String CANNOTDEPRECIATION = "F000001";//不可以折旧
	
	String AVERAGELIFEMETHOD ="平均年限法";//平均年限法
	String DUBLEdDECLININGBALANCEMETHOD ="双倍余额递减法";//双倍余额递减法
	String  SUMOFYEARSMETHOD = "年限总和法";//年限总和法
	
	String AVERAGELIFEMETHODCODE 			= "F000001";//平均年限法
	String DUBLEdDECLININGBALANCEMETHODCODE = "F000002";//双倍余额递减法
	String SUMOFYEARSMETHODCODE 			= "F000003";//年限总和法

    /**
     * 1 已计提
	 */
	String DEPRECIATION_SUCCESS = "1";

    /**
     * 2 计提中
	 */
	String DEPRECIATION_ING		= "2";

	/**
	 * 3 计提失败
	 */
	String DEPRECIATION_ERROR	= "3";


	/**
	 * 记账成功
	 */
	String ACCOUNT_SUCCESS		= "45";

	/**
	 * 记账中
	 */
	String ACCOUNT_ING			= "1";

	/**
	 * 记账失败
	 */
	String ACCOUNT_ERROR		= "49";


	ModelMap YSX_ACCOUNT_TYPE = new ModelMap("49", ACCOUNT_ERROR).addAttribute("45", ACCOUNT_SUCCESS);

	default String getType(String type){
		return Objects.toString(YSX_ACCOUNT_TYPE.get(type), "");
	}

}
