package com.changhong.epc.constter.parsing.loop;

import com.changhong.epc.constter.count.nomr.ConstData;

/**
 * 报销单状态
 * @ClassName: ConstExpendStart
 
 * @author [九鼎联合科技]
 * @date 2017年4月8日 下午2:21:33
 */
public interface ConstDataExpendStart extends ConstData{

	/**
	 * 票据处理中
	 */
	String BILL_HANDLE_ING 	= "10";
	
	/**
	 * 无票据
	 */
	String NO_BILL			= "20";
	
	String BILL_DEFEATED    = "19";
	/**
	 * 票据处理完成
	 */
	String BILL_FINISH		= "15";
	
	/**
	 * 记账处理中
	 */
	String TALLY_HANDLE_ING	= "40";

	/**
	 * 记账失败
	 */
	String TALLY_HANDLE_ERR	= "49";
	
	/**
	 * 报销单key
	 */
	String EXPEND_START_KEY	= "cscBillStatus";
	
	/**
	 * 报销单云帐仿订单号
	 */
	
	String EXPEND_CLOUD_KEY	= "cscBillNo";
	/**
	 * 票据code
	 */
	String ORDER_CODE		= "orderCode";
}
