package com.changhong.epc.constter.parsing.subassembly.billinfo;

/**
 * 票据行程信息解析常量类
 * @ClassName: TransverterConst
 * @author [九鼎联合科技]
 * @date 2017年7月11日 下午9:52:32
 */
public interface TransverterConstKey {

	
	// 公式取值主数据
	String TB_BILLFATCHVALFORMULA = "billFatchValFormula";
	
	// 取值主数据
	String TB_BILLFATCHVAL = "billFatchVal";
	
	String BILL_CODES			= "billCodes";

	/**
	 * 公式取值 字段
	 */
	// 票据模板编码
	String BILL_FATC_CCODE 		= "billFatcCcode";	
	// 票据标签
	String BILL_FATC_MEANIG_KEY = "billFatcMeanigKey";
	// 主数据定义
	String BILL_FATC_MDCODE		= "billFatcMdCode";
	// 主数据值
	String BILL_FATC_VALUE 		= "billFatcValue";
	// 主数据值code
	String BILL_FATC_VALUE_CODE = "billFatcValueCode";
	// 条件关系
	String BILL_FATC_COUNT 		= "billFatcCount";
	// 票据元素
	String BILL_FATC_ELEMENT 	= "billFatcElement";
	// 表单id
	String BILL_FATC_FORMID 	= "billFatcFormId";
	
	/**
	 * 取值 字段
	 */
	// 票据标签
	String BILL_FATC_VAL_KEY        = "billFatcValKey";
	// 主数据定义
	String BILL_FATC_VAL_MDCODE     = "billFatcValMdCode";
	// 票据元素
	String BILL_FATC_VAL_ELEMENT    = "billFatcValElement";
	// 票据模板编码
	String BILL_FATC_VAL_CODE       = "billFatcValCode";
	// 表单id
	String BILL_FATC_VAL_FORMID 	= "billFatcValFormId";
	
	
	/**
	 * 费用项目
	 */
	String COST_TYPE =  "costType";

	/**
	 * 差旅报销费用类型
	 */
	String TRAVEL_COST_TYPES = "travelCostTypes";
	
	/**
	 * 配置表 
	 */
	// mdCode
	String MD_CODE = "mdCode";
	// meCode
	String ME_CODE 			= "elIden";
	
	// 业务对照代码
	String BUS_CODE = "businessMeaningCode";
}
