package com.changhong.epc.constter.system;

import java.util.Arrays;
import java.util.List;

import com.iemsoft.framework.cloud.ribbon.ServerDefine;

public interface SystemClients {
	
	/**
	 * 注册中心
	 */
	ServerDefine SERVER			= ()-> "epc-server";
	
	/**
	 * 网关转发
	 */
	ServerDefine GATEWAY_ZUUL	= ()-> "epc-zuul";
	
	/**
	 * 范例(1)
	 */
	ServerDefine SERVER_DEMO	= ()-> "epc-client-demo";
	
	/**
	 * 范例(2)
	 */
	ServerDefine SERVER_DEMO2	= ()-> "epc-client-demo2";
	
	/**
	 * 租户普通程序服务
	 */
	ServerDefine SERVER_TENANT 	= ()-> "epc-client-tenant";
	
	/**
	 * 计算费用
	 */
	ServerDefine SERVER_COUNT	= ()-> "epc-client-count";
	
	/**
	 * 自定义表单客户端服务
	 */
	ServerDefine SERVER_FORM	= ()-> "epc-client-form";
	
	/**
	 * 分配行程服务，自动审单服务
	 */
	ServerDefine SERVER_PARSING	= ()-> "epc-client-parsing";
	
	/**
	 * 管理中心服务
	 */
	ServerDefine SERVER_ADMIN	= ()-> "epc-client-admin";
	
	/**
	 * 提供接口的服务
	 */
	List<ServerDefine> REST_SERVERS	= Arrays.asList(
			SERVER_DEMO,
			SERVER_DEMO2,
			SERVER_TENANT,
			SERVER_COUNT,
			SERVER_FORM,
			SERVER_PARSING,
			SERVER_ADMIN
			);
	
}
