package com.changhong.epc.constter.system.businesscode;

/**
 * 预算业务含义代码
 * @author wangZX
 *
 */
public interface BudgetBusinessMeaningCode {
	
	/** 常量表中对应formID表示含义*/
	String YS_FORMID 				  = "budgetFormId";//预算
	String SQ_FORMID				  = "applyFormId";//申请
	String BX_FORMID 				  = "expendFormId";//报销
	String GDZC_FORMID 				  = "gdzcFormId";//固定资产
	String ZJ_YS_FORMID 			  = "zjBudgetFormId";//追加预算
	String TH_YS_FORMID 		      = "thBudgetFormId";//退回
	String HK_FORMID 		          =  "hkFormId";//还款
	
	String DATAROWNUMBER			  = "DATAROWNUM";
	
	String SUNMDATAROWNUMBER 		  = "PARENTDATAROWNUM";
	
	String ROW_IDS 					  = "rowIds";
	String SUPPER_BUDGET_ROWS 	 	  = "supperBudgetRows";

	/**
	 * 申请单编号
	 */
	String NUMBER_APPLY				  = "number_apply";

	/**
	 * 借款金额
	 */
	String LOAN_AMOUNT				  = "loanAmount";

	/**
	 * 应用币种
	 * 国外申请、国外报销 应用币种
	 */
	String APPLYCATION_CURRENCY			  	= "applicationCurrency";

	/**
	 * 应用金额
	 * 国外申请、国外报销 应用金额
	 */
	String APPLICATION_CURRENCY_AMOUNT		= "applicationCurrencyAmount";

	/**
	 * 汇率
	 */
	String EXCHANGE_RATE					= "exchangeRate";

	/**
	 * 所有得关联数据控件别名都这个
	 */
	String TO_WRITE_BUDGET    	 	  = "toWriteBudget";

	/**
	 * 合同信息控件别名
	 */
	String SELECT_CONTRACTS			  = "selectContracts";

	/**
	 * 关联表单控件-追加/回收预算时别名 
	 */
	String CHOOSE_SUPER_BUDGET 		  = "chooseSuperBudget";
	
	/**
	 * 关联控件（借款/还款别名）
	 */
	String REPAYMENT_SUPER_LOAN 	 = "repaymentSuperLoan";

	/**
	 * 预算开始日期
	 */
	String APPLY_DATE 		 		 = "applyDate";
	/**
	* 预算开始日期
	*/
	String BUDGET_START_DATE 		 = "budgetStartDate";
	/**
	* 预算开始日期别名
	*/
	String BUDGET_START_DATE_ONE 		 = "dateofreimbursement";
	/**
	 * 预算单编号
	 */
	String BUDGETN_NUMBER 			 = "budgetnNumber";

	/**
	* 预算结束日期
	*/
	String BUDGET_END_DATE			 = "budgetEndDate";

	/**
	* 预算说明
	*/
	String BUDGET_STATEMENT			 = "budgetStatement";
	
	/**
	 * 预算结束日期
	 */
	String BUDGET_TYPE			     = "budget_type";

	/**
	 * 预算项目
	 */
	String BUDGET_PROJECT 			 = "budget_project";

	/**
	 * 币种
	 */
	String CURRENCY 				 = "currency";
	
	/**
	* 预算子表单
	*/
	String BUDGET_SUB_FROM			 = "budget_subFrom";
	
	/**
	 * 预算单是否可被占用
	 */
	String OCCUPY   			  	 = "occupy";


	/**
	* 子表单 费用类型
	*/
	String BUDGET_ITEM_COST_TYPE	 = "C_Type";


	/**
	* 子表单-预算部门
	*/
	String BUDGET_ITEM_DEPARTMENT 	 = "budget_itemDepartment";

	/**
	 * 是否折旧
	 */
	String ASSET_IS_SECTORAL		= "ASSET_IS_SECTORAL";

	/**
	 * 固定资产记账标示
	 */
	String ASSET_ACCOUNT			= "fixedassetsAccounts";

	/**
	* 子表单-预算金额
	*/
	String BUDGET_ITEM_MONEY 	     = "budget_itemMoney";

	/**
	* 子表单-预算余额
	*/
	String BUDGET_ITEM_BALANCE 		 = "budget_itemBalance";

	/**
	* 子表单-上级预算金额 budget_superMoney
	*/
	String BUDGET_SUPER_MONEY        = "budget_superMoney";

	/**
	* 子表单-上级预算部门 
	*/
	String BUDGET_SUPER_DEPARTEMENT	 = "budget_superDepartement";

	/**
	 * 扩展金额
	 */
	String BUDGET_SUPER_EXTENDMONEY  = "budget_extendMoney";

	/**
	* 子表单-上级预算隐藏信息 
	*/
	String BUDGET_HIDE_INFO 		= "budget_hide_info";
	
	
	/**
	 * 申请金额
	 */
	String APPLY_USE_MONEY 			= "applyUseMoney";
	
	/**
	 * 申请部门
	 */
	String APPLY_DEPARTMENT		   = "apply_department";

	/**
	 * 业务类型
	 */
	String COST_TYPE				= "C_Type";

	/**
	 * 申请费用类型
	 */
	String APPLY_COST_TYPE		   = COST_TYPE;
	
	
	/**
	 * 报销金额
	 */
	String EXPEND_USE_MONEY 		= "expendUseMoney";
	
	/**
	 * 报销部门
	 */
	String EXPEND_DEPARTMENT 		= "expend_department";
	
	/**
	 * 报销费用类型
	 */
	String EXPEND_COST_TYPE  		= COST_TYPE;
	
//	/**
//	 * 开票金额
//	 */
//	String INVOICE_MONEY 			= "invoice_money";
//
	/**
	 * 阶段付款金额
	 */
	String PAYMENT_MONEY			= "payment_money";
	
	/**
	 * 已付款金额
	 */
	String ALREADYPAID			    = "alreadypaid";

	/**
	 * 付款金额
	 */
	String PAID_MONDY				= "paidMoney";
	
	/**
	 * 合同付款阶段
	 */
	String CONTRACT 				= "contract";
	
	/**
	 * 合同报销子表单
	 */
	String SUBFORM					= "subform";
	
	/**
	 * 区分合同报销单,与普通报销单做不同操作
	 */
	String EXPENDCONTRACT 			 = "expendContract";
	
	/**
	 * 标识追加
	 */
	String ZJ 						 = "ZJ";
	
	/**
	 * 退回
	 */
	String TH 						= "TH";	
	
	/**
	 * 预算单余额控件是小数位位数
	 */
	String BUDGETITEMBALANCETYPE	= "budgetItemBalanceType";
	
	/**
	 * 配置维度组属性
	 */
	String GROUP_KEY = "groupKey";
	
	/**
	 * 部门预算配置维度常量
	 */
	String BUDGET_CONFIGURATION = "budgetDimensionConfiguration";
	
	/**
	 * 申请使用预算
	 */
	String APPLY_USR_BUDGTFUN = "ApplyUseBudgtFun";
	
	/**
	 * 配置维度组属性
	 */
	String C_VALUE = "cvalue";
	
	/**
	 * 合同--预算表单id--mapping_iden
	 */
	String MAPPINGIDEN_CONTRACT = "contract";
	
	/**
	 *付款金额（合同） 
	 */
	String PAYMENTAMOUNT = "paymentAmount";
	
	/**
	 *付款阶段（合同） 
	 */
	String PAYMENTSTAGE = "payment_stage";

	/**
	 * 项目预算配置维度常量
	 */
	String BUDGET_PROJECT_CONFIGURATION = "budgetProjectDimensionConfiguration";
	
	/**
	 *固定资产表单id 
	 */
	String ASSETFORMID = "assetFormId";
	
	/**
	 * 编号
	 */
	String BX_NUMBER = "bxNumber";
	
	/**
	 * 统一编号别名
	 */
	String NUMBER_BUDGET = "number_budget";
	
	/**
	 *追加退回预算 
	 */
	String BUDGET_ADDITIONALMONEY = "budget_AdditionalMoney";
	
	
	/**
	 * 申请子表单后缀
	 */
	String JOURNEY = "journey";
	
	//表单类型
	String YS = "YS";
	String SQ = "SQ";
	String BX = "BX";
	String ZJYS = "ZJ_YS";
	String HSYS = "TH_YS";
	String HTBX = "HTBX";
	String GDZCBX = "GDZCBX";
	String FORM_ID = "f_id";
	
	String FORM_INFO = "formInfo";

	String ASSET = "asset";
	
	/**
	 * 还款金额
	 */
	String AMOUNT_REPAYMENT	 = "AmountRepayment";
	
	/**
	 * 已还金额
	 */
	String ALREADY_REPAID = "alreadyRepaid";
	
	/**
	 * 未还金额
	 */
	String OUTSTANDING_AMOUNT = "OutstandingAmount";
	
	/**
	 * 总借款金额
	 */
	String APPLICATION_AMOUNT = "ApplicationAmount";

	/**
	 * 报销单的支付方式为个人冲抵
	 * */
	//String PERSION_COST_RETURN="PersionCostReturn";

	/**
     * 常量表的个人冲抵
     * */
	String  PERSION_COST_RETURN="persionCostReturn";

	/**
	 *报销子表单 支付方式
	 * */
	String PAYWAY="payWay";

	/**
     *报销子表单 报销金额
     * */
	String  NETMONEY="netMoney";
	/**
     * 报销单 报销人编号
     * */
    String REIMBURSE_MAN="reimburseMan";

    /**
     * 借款单  报销人编号
     * */
    String LOANPEOPLE="LoanPeople";

    /**
     * 借款单 借款人（员工）所属部门
     * */
    String DEPARTMENT="department";

    /**
     * 借款单 借款时间
     * */
    String CREATEDATETIME="CREATEDATETIME";

    /**
     * 借款单  借款人职位
     * */
    String EMPLOYEE_POSITION="EmployeePosition";

		/**
	 * 固定资产信息关联控件
	 */
	String SELECT_FIXED_ASSETS = "selectFixedAssets";

	/**
	 * 用于固定资产 是否可以报销 0：是，1：否
	 */
	String PROCESS_FLAG = "processFlag";

	/**
	 * 订单号
	 */
	String ORDER_CODE = "orderCode";

	/**
	 * 订单状态
	 */
	String ORDERSTATUS = "orderStatus";

	/**
	 *  表单别名
	 */
	String ALIAS = "alias";

	/**
	 * 控件属性
	 */
	String TAG_ATTRIBUTE = "tag_Attribute";

	/**
	 * 数字控件小数位
	 */
	String DECIMALPLACE = "decimalplace";

	/**
	 * 是否记账控件
	 */
	String ACCOUNT_FLAG = "accountFlag";

	/**
	 * 申请单已还款金额
	 */
	String ALREADYREPAID = "alreadyRepaid";

	/**
	 * 报销单还款金额
	 */
	String AMOUNTREPAYMENTS = "AmountRepayments";

	/**
	 * 项目负责人
	 */
	String PROJECTLEADER = "projectLeader";

	/**
	 * 合同总金额
	 */
	String CONTRACT_MONEY = "contract_money";

	/**
	 * 合同执行状态
	 */
	String STATE_EXECUTION = "stateExecution";

	/**
	 * 字段唯一验证
	 */
	String ONLY_VERIFICATION = "onlyVerification";

	/**
	 * 控件文本类型
	 */
	String TEXT = "text";

	/**
	 * 控件类型别名
	 */
	String TAG_TYPE = "tag_Type";

	/**
	 * 是否为子表单
	 */
	String PARENTSUBFORMNUM = "parentsubFormNum";

	/**
	 * 表单标题
	 */
	String TITLE = "title";



	// 资产分类
	String ASSETSTYPE = "AssetsType";

}
