package com.changhong.epc.constter.system.businesscode;

public interface BusinessMeaningCode extends BudgetBusinessMeaningCode{
	
/*******************行程子表单相关信息**********************/
	/**
	 * 行程子表单
	 */
	String JOURNEY_SUB = "journey";
	
	/**
	 * 云尚行订单号
	 */
	String ORDERCODE  = "orderCode";
		
	/**
	 * 主表人员控件
	 */
	String REIMBURSEMAN = "reimburseMan";
	
//	/**
//	 * 旅客姓名
//	 */
//	String PERSONAL_NAME = "PersonalName";
//
//	/**
//	 * 城市间交通费
//	 */
//	String BETWEEN_CITIES_CAR_FARE = "城市间交通费";
//
//	/**
//	 * 出发地
//	 */
//	String FROM_SITE    = "From_site";
//
//	/**
//	 * 出发日期
//	 */
//	String TO_SITE      = "To_site";
	
	/**
	 * 到达地
	 */
	String FROM_DATE     = "FromDate";
	
	/**
	 * 出发时点
	 */
	String FROM_TIME		= "FromTime";
	
	/**
	 * 到达日期
	 */
	String TO_DATE		= "ToDate";
	
	/**
	 * 到达时点
	 */
	String TO_TIME		= "ToTime";
	
	/**
	 * 交通方式
	 */
	String VEHICLE		= "Vehicle";
	
	/**
	 * 交通席别
	 */
	String SEATLEVEL	= "SeatLevel";
	
	/**
	 * 合计金额
	 */
	String AMOUNT		= "Amount";
	
	/**
	 * 附加金额-保险费
	 */
	String PREMIUM		= "Premium";
	
	/**
	 * 附加金额-手续费
	 */
	String SERVICE_AMOUNt= "ServiceAmount";

	/**
	 * 附加金额-燃油附加费
	 */
	String BS_AMOUNT	= "BSAmount";
	
	/**
	 * 附加金额-其他税费
	 */
	String OT_AX_AMOUNT	= "OTaxAmount";
	
	/**
	 * 行项-含税金额
	 */
	String R_IAMOUT		= "R_IAmout";
	
	/**
	 * 行项-不含税金额
	 */
	String R_EAMOUT		= "R_EAmout";
	
	/**
	 * 行项-增值税额
	 */
	String R_VTAX		= "R_VTax";
	
	/**
	 * 开票日期
	 */
	String BILL_DATE		= "BillDate";
	
	/**
	 * 交通类型（例：火车，汽车） 
	 */
	String TRAFFICT_YPE	= "trafficType";
	
	/**
	 * 费用类型（例：市内交通费，加油费）
	 */
	String BILLTYPE		= "billType";
	
	/**
	 * 车次
	 */
	String TRAINS		= "Trains";

	String FROM_DATE_TIME = "FromDateTime";
	
	String TO_DATE_TIME = "ToDateTime";
	
	/**
	 * 交通费
	 */
	String carFare      = "carFare";
		
	/**
	* 杂费
	*/	
	String incidentals  = "incidentals";
		
	/**
	* 住宿费
	*/
	String quarterage    = "quarterage";
	
	
	
	/***********************************支付信息相关************/
	 String PAY_SUB      = "payInfo";			   //支付信息子表单名称
	 String ZRCVERT      = "zrcvert";              //收款方名称
	 String ZRACCT       = "zracct";               //收款方银行账号
	 String BANKL        = "bankl";                //收款方银行代码
	 String ZZJJHH       = "zzjjhh";               //资金计划编号
	 String CREDITITEM   = "creditItem";           //贷方文本
	 String NETMONEY     = "netMoney";             //实付金额
	 String PAYWAY       = "payWay";               //付款方式

	/*********************************报销单相关主表控件*********/
	 String EXPEND_NUM = "expendNum";          //项目编号
	 String DEBIT_ITEM = "debitItem";		   //借方文本
	 String EXPEND_TEXT = "expendText";		   //报销说明
}
