package com.changhong.epc.constter.tenant;

/**
 * @author liush
 *
 */
public interface TenantUrlConst {
	
	//---------权限中心---------//
	String POWER_GET_POWER			    = "power/getpower";
	String REST_GET_USERINFO			= "get/userInfo";

	//---------权限中心---------//
	
	/**↓ 提供给云尚行接口 ↓*/
	String REST_TENANT_JSON_CHECKRESULT			= "json/checkResult";//规则检查结果推送
	String REST_TENANT_JSON_PUSHMASDATAVALUE	= "json/pushMasDataValue";//通用主数据值同步接口
	String REST_TENANT_JSON_UPDATEBILLSTATUS	= "json/updateBillStatus";//订单状态更新至费用云订单
	String REST_TENANT_JSON_PUSHORDERBILL_ORIGINAL	= "json/pushOrderBill/original";//返回OCR识别票据数据信息
	String REST_TENANT_JSON_UPDATEBUSTYPE       = "json/updateBusType";//指定公司业务类型增量同步接口
	/** ↑提供给云尚行接口↑ */

	String PROESS_PAGE_URL		= "tenant/page/test";
	
	/**
	 * 记账接口
	 */
	String ACCOUNTING_RECORD = "accounting/record";
	
	/**
	 * 多条插入费用类型和费用维度
	 */
	String REST_TENANT_NORMTYPE_INSERT = "tenant/normType/insert";
	
	/**
	 * 查询费用类型和费用维度
	 */
	String REST_TENANT_NORMTYPE_SELECT = "tenant/normType/select";
	/*
	 * 按单号查询票据
	 */
	String REST_TENANT_BILLDATA_SELECT = "tenant/billData/selectByCode";
	
	String REST_TENANT_BILLDATA_UPDATABYJID = "tenant/billData/updataByJid";
	
	String REST_TENANT_BILLDATA_SELECTBYCAJ = "tenant/billData/selectByOrderCodeAndJ";

	/**
	 * 修改票据状态
	 */
	String REST_TENANT_BILLINFO_UPDATE_START = "tenant/billInfo/updateBillState";

	/**
	 * 票据纠偏
	 */
	String REST_TENANT_BILLDATA_CORRECTBILL = "rest/tenant/billdata/correctbill";
	
	/**
	 * 查询主数据维度
	 */
	String REST_TENANT_MASTERTYPE_SELECT = "supp/search/master";
	
	/**
	 * 查询所有主数据列表
	 */
	String REST_TENANT_MASTERTYPE_SELECTALLMASTER = "tenant/norm/masterDefine/selectAllMaster";
	
	/**
	 * 查询所有主数据
	 */
	String REST_TENANT_MASTERTYPE_SELECTELE = "tenant/norm/masterDefine/selectEle";

	/**
	 * 查询补助标准对应费用类型id
	 */
	String REST_TENANT_NORM_COSTTYPE_IDS		= "tenant/norm/costTypeIds";
	
	/**
	 * 按名称查询
	 */
	String REST_TENANT_MASTERTYPE_SELECTNAME = "tenant/norm/masterDefine/selectName";
	
	
	/**
	 * 查询元素
	 */
	String REST_TENANT_MASTERELEMENT_SELECT = "tenant/masterElement/select";
	/**
	 * 查询费用项
	 */
	String REST_TENANT_COSTOPTION_SELECT = "tenant/costOption/select";
	
	/**
	 * 获得返回结果
	 */
	String MASTER_TENANT_GETVAL = "master/tenant/getVal";
	
	/**
	 * 获得主数据值
	 */
	String MASTER_TENANT_GETMASTERVAL = "master/tenant/getMasterVal";
	
	/**
	 * 查询报销方式
	 */
	String REST_TENANT_WAY_SELECT = "tenant/way/select";
	/**
	 * 查询所有消息类型
	 */
	String REST_TENANT_ERRSYSTEMMSG_SELECTTYPE = "tenant/errSystemMsg/selectType";
	/**
	 * 按条件分页查询所有消息
	 */
	String REST_TENANT_ERRSYSTEMMSG_SELECT = "tenant/errSystemMsg/select";
	/**
	 * 根据id修改消息状态
	 */
	String REST_TENANT_ERRSYSTEMMSG_UPDATE = "tenant/errSystemMsg/update";
	
	/**
	 * 添加消息
	 */
	String REST_TENANT_ERRSYSTEMMSG_INSERT = "tenant/errSystemMsg/insert";

	/**
	 * 主数据缺失错误信息
	 */
	String REST_TENANT_ERRSYSTEMMSG_BILLMSG_INSTER = "tenant/errSystemMsg/masterMsg/inster";

	/**
	 * 导入主数据
	 */
	String REST_TENANT_MASTERVALUE_IMPORT = "tenant/masterValue/import";

	/**
	 * 导出主数据模版
	 */
	String REST_TENANT_MASTERVALUE_OUT_TEMPLATE = "tenant/masterValue/out/template/{defineCode}";
	
	/**
	 * 查询存储过程Code转换Value
	 */
	String REST_TENANT_MASTERVALUE_GETVAL = "tenant/masterValue/CodeConVal";
	
	/**
	 * 查询存储过程Value转换Code
	 */
	String REST_TENANT_MASTERVALUE_GETCODE = "tenant/masterValue/ValConCode";
	/**
	 * 递归查询
	 */
	String REST_TENANT_MASTERELEMENT_SELECTCODE = "tenant/masterElement/selectCode";
	
	/**
	 * 根据指定主数据查询主数据元素
	 */
	String REST_TENANT_MASTERELEMENT_ELEMENTINFOS = "tenant/masterElement/elementInfos";
	
	/**
	 * 查询主数据下所有值
	 */
	String REST_TENANT_MASTERVALUE_SELECTVALUE = "tenant/masterValue/selectValue";
	
	/**
	 * 查询主数据
	 */
	String REST_TENANT_MASTERVALUE_SELECTLIST = "tenant/masterValue/selectMasterValueListExtend";

	/**
	 * 查询人员主数据
	 */
	String REST_TENANT_PERSION_MASTERVALUE_SELECTLIST = "tenant/masterValue/persion";
	/**
	 * 更新按鈕
	 */
	String REST_TENANT_PERSION_UPDATE= "tenant/update";
	/**
	 * 查詢按鈕
	 */
	String REST_TENANT_PERSION_SELECT= "tenant/select";
	/**
	 * 删除按钮
	 */
	String REST_TENANT_PERSION_DELETE = "tenant/delete";
	/**
	 * 增加按钮
	 */
	String REST_TENANT_PERSION_INSERT = "tenant/insert";

	/**
	 * 按条件单条查询表单
	 */
	String REST_TENANT_COSTFORM_SELECTONE = "tenant/costForm/selectOne";

	String REST_TENANT_COSTFORM_BY_FORMID = "tenant/costForm/by/formId";
	
	String REST_TENANT_COSTTYPE_SAVE = "tenant/costType/save";
	String REST_TENANT_COSTTYPE_SEACH = "tenant/costType/seache";
	
	String REST_TENANT_COST_RECORDLOG_YS = "tenant/costlog/recordYs";
	String REST_TENANT_COST_RECORDLOG_SQ = "tenant/costlog/recordSq";
	String REST_TENANT_COST_RECORDLOG_BX = "tenant/costlog/recordBx";
	
	String REST_TENANT_COST_BEOCCUPY  = "tenant/cost/occupy";
	
	/**
	 * 分页查询费用类型
	 */
	String REST_TENANT_COSTTYPE_SEACHPAGE = "tenant/costType/seachePage";
	
	/**
	 * 单条查询费用类型
	 */
	String REST_TENANT_COSTTYPE_ONE = "tenant/costType/selectOne";
	String REST_TENANT_COSTTYPE_DELETE = "tenant/costType/delete";
	String REST_TENANT_COSTTYPE_INSERT = "tenant/costType/insert";
	String REST_TENANT_COSTTYPE_MOVE = "tenant/costType/move";
	String REST_TENANT_COSTTYPE_UPDATE = "tenant/costType/update";
	String REST_TENANT_APPSTANDER_INSERT = "tenant/AppStander/insert";
	
	/**
	 *模糊查询费用类型 
	 */
	String REST_TENANT_COSTTYPE_LIKE = "tenant/costType/selectLike";

	/**
	 * 查询所有费用类型
	 */
	String REST_TENANT_COSTTYPE_All = "tenant/costType/selectAll";
	
	/**
	 * 系统配置功能
	 */
	String REST_TENANT_SYSTEMCONFIG_SELECTALL    = "tenant/SystemConfig/selectAll";
	String REST_TENANT_SYSTEMCONFIG_INSERT       = "tenant/SystemConfig/insert";
	String REST_TENANT_SYSTEMCONFIG_UPDATE       = "tenant/SystemConfig/update";
	String REST_TENANT_SYSTEMCONFIG_BYGROUPKEY   = "tenant/SystemConfig/queryBygroupKey";
	
	/**
	 * 
	 */
	String REST_TENANT_BILLIMG_SELECT = "tenant/billData/selectImg";
	
	
	/**
	 * 系统设置（预算设置功能）
	 */
	String REST_TENANT_SYSTEM_BUDGETCONFIG_GETTREE = "tenant/budgetConfig/getBudgetTree";
	String REST_TENANT_SYSTEM_BUDGETCONFIG_INSERTLIST = "tenant/budgetConfig/insertbudgetlist";
	String REST_TENANT_SYSTEM_BUDGETCONFIG_GETLIST = "tenant/budgetConfig/getbudgetOrgList";
	String REST_TENANT_SYSTEM_BUDGETCONFIG_DELETELIST = "tenant/budgetConfig/deleteBudgetList";
	String REST_TENANT_SYSTEM_BUDGETCONFIG_GETBUDGETS = "tenant/budgetConfig/getBudgetList";
	String REST_TENANT_SYSTEM_BUDGETCONFIG_DELETEBYDATASTART = "tenant/budgetConfig/deleteBudgetListByDataStart";
	String REST_TENANT_SYSTEM_BUDGETCONFIG_GETPARENTORG = "tenant/budgetConfig/getParentBudgetOrg";
	String REST_TENANT_SYSTEM_BUDGETCONFIG_GETPARENTORGS = "tenant/budgetConfig/getParentBudgetOrgs";
	String REST_TENANT_SYSTEM_BUDGETCONFIG_GETUSER = "tenant/budgetConfig/getUser";
	String REST_TENANT_SYSTEM_BUDGETCONFIG_CHECKOCCUPATION = "tenant/budgetConfig/checkOccupation";
	/**
	 * 获得当前用户信息
	 */
	String REST_ORG_GETTENANT = "tenant/org/gettenantInfo";
	
	/**
	 * 查询多租户多公司
	 */
	String RESR_ORG_TENANTORCOMPANY = "tenant/org/gettenantOrCompany";

	
	/**
	 * 获取格式化的组织机构
	 */
	String REST_TENANT_ORG_GETORGFORMAT = "tenant/org/getOrgFormat";
	
	/**
	 * 系统变量配置
	 */
	String REST_TENANT_SYSTEM_MATH_SYSTEMMATH_SELECTLISTS = "tenant/systemMath/selectLists";
	String REST_TENANT_SYSTEM_MATH_SYSTEMMATH_SELECTLISTNAME = "tenant/systemMath/selectListName";
	String REST_TENANT_SYSTEM_MATH_SYSTEMMATH_INSERT = "tenant/systemMath/insert";
	String REST_TENANT_SYSTEM_MATH_SYSTEMMATH_UPDATESELECTIVE = "tenant/systemMath/updateSelective";
	String REST_TENANT_SYSTEM_MATH_SYSTEMMATH_DELETE = "tenant/systemMath/delete";
	String REST_TENANT_SYSTEM_MATH_SYSTEMMATH_GETFUNCTION = "tenant/systemMath/getFunction";

	/**
	 * 通过表单id查询费用类型
	 */
	String REST_TENANT_COST_TYPE_BY_FORMID = "tenant/costType";
	

	


	/**
	 * 查询所有一级部门
	 */
	String RESR_ORG_GETONE = "tenant/org/getOne";
	/**
	 * 调用云尚行提供的接口
	 */
	String GET_ORDER_PIC = "tenant/CloudShangHang/getOrderPicData";  //获取订单图片数据接口
	String GET_ORDER_ACCOUNT = "tenant/CloudShangHang/getOrderAccount";//费用云订单电子数据记账接口
	String GET_ORDER_RULE_CHECK = "tenant/CloudShangHang/getOrderRuleCheck";//订单规则检查接口
	String GET_ORDER_TYPEDEFINELIST = "tenant/CloudShangHang/getOrderTypeDefineList";//获取云尚行管理中心的业务类型数据
	String GET_BUS_TYPEBYCOMP = "tenant/CloudShangHang/getBusTypeByComp";//获取云尚行指定公司的业务类型数据
	
	/**
	 * 批量查询关联主数据
	 */
	String REST_TENANT_MASTERELEMENT_SELECTCODES = "tenant/masterElement/selectCodes";
	
	/**
	 * 制定主数据code，value
	 */
	String REST_TENANT_MASTERELEMENT_UPDATEALIAS = "tenant/masterElement/updateAlias";
	
	/**
	 * 同步主数据接口（通用，租户）
	 */
	String JSON_ELE_GETMASTER =  "json/ele/getMaster";
	
	
	/**
	 * 同步公司业务类型
	 */
	String SYNCH_COMPANY_COSTTYPE = "synchronization/company/costType";
	
	/**
	 * 查询人员id
	 */
	String RESR_GETUSERCODE = "tenant/getUserCode";
	
	/**
	 * 查询主数据下所有值
	 */
	String REST_TENANT_MASTERVALUE_SELECTVALUESEACHE = "tenant/masterValue/selectValueSeache";

	/**
	 * 添加人员
	 */
	String ADD_USERINFO = "add/user";

	/**
	 * 修改人员信息
	 */
	String UPDATE_USERINFO = "update/userInfo";
	
	
	
	String REST_TENANT_MASTERTYPE_SELECTCONFIGMASTER = "tenant/norm/masterDefine/selectConfigMaster";
	
	String REST_TENANT_ADDCONFIGMASTER = "config/addConfigMaster";
	
	String REST_TENANT_DELETECONFIGMASTER = "config/deleteConfigMaster";
	
	String REST_TENANT_UPDATECONFIGMASTER = "config/updateConfigMaster";

	String REST_TENANT_UPDATETENANTINFO = "tenant/updateTenantInfo";

	String REST_TENANT_SELECTTENANTINFO = "tenant/selectTenantInfo";

	String REST_TENANT_INIT_INFO = "tenant/init";

	String REST_TENANT_REPORT_INIT_INFO = "tenant/report/init";

	/**
	 * 同步组织机构
	 */
	String REST_TENANT_SYNORG = "rest/tenant/synOrg";

	/**
	 * 查询租户报表列表
	 */
	String REST_TENANT_REPORT_LIST = "tenant/report/list";

	/**
	 * 按类型查询表单
	 */
	String REST_TENANT_COST_FORMID = "tenant/cost/formId";

	/**
	 * 重新审单
	 */
	String REST_ORDER_BACKRULE = "tenant/order/backRule";

	/**
	 * 获取汇率
	 */
	String REST_GET_EXCHANGE_RATE = "tenant/get/exchange/rate";
}
