package com.changhong.epc.constter.tenant;

public interface WorkFlow {
	
	 /**
	  * 创建流程定义
	  */
     String DEF_CREATE = "/ubp-api-control/process/def/create";
       
     /**
      * 删除流程定义
      */
     String DEF_DELETE = "/ubp-api-control/process/def/delete";
         
     /**
      * 部署流程定义
      */
     String DEF_DEPLOY = "/ubp-api-control/process/def/deploy";
      
     /**
      * 流程定义分页查询
      */
     String DEF_SEACHE = "/ubp-api-seache/process/def/seache";
     /**
      * 退回流程实例
      */
     String INST_BACK = "/ubp-api-control/process/inst/back";
     
     /**
      * 设置代理
      */
     String CREATE_AGENT = "/ubp-api-control/process/create/agent";
     
     /**
      * 创建流程实例
      */
     String INST_CREATE = "/ubp-api-control/process/inst/create";
     /**
      * 撤销流程实例
      */
     String INST_DRAWBACK = "/ubp-api-control/process/inst/drawBack";
         
     /**
      * 删除代理关系
      */
     String AGENT_DELETE = "/ubp-api-control/process/agent/delete";
      
     /**
      * 结束流程实例
      */
     String INST_OVER = "/ubp-api-control/process/inst/over";
     /**
      * 设置代办
      */
     String CREATE_CHARGE = "/ubp-api-control/process/create/charge";
     
     /**
      * 执行流程实例
      */
     String INST_FINISH = "/ubp-api-control/process/inst/finish";
     
     /**
      * 修改代理关系
      */
     String AGENT_UPDATE = "/ubp-api-control/process/agent/update";
     /**
      * 查询流程待办(都为空查询所有待办信息)
      */
     String SEACHE_HANDLE = "/ubp-api-seache/process/inst/seache/handle";
      
     /**
      * 流程实例log(参数为空即查询所有)
      */
     String INST_LOG = "/ubp-api-seache/process/inst/log";
     /**
      * 获取所有可退回项目
      */
     String GET_BACK = "/ubp-api-seache/process/get/back";
     
     /**
      * 查询代理(参数为空即查询所有信息)
      */
     String INST_AGENT = "/ubp-api-seache/process/inst/agent";
     
     /**
      * 查询代理去除流程定义信息
      */
     String AGENT_DEFMSG = "/ubp-api-seache/process/inst/agent/defMsg";
     
     /**
      * 查询流程实例(参数都为空，即查询所有)
      */
     String INST_SEACHE = "/ubp-api-seache/process/inst/seache";
       
     /**
      * 返回安全码，用于拼接流程图
      */
     String GET_USERINFO = "/process-system/system/userInfo";     
     
     /**
      * 租户注册系统
      */
     String APP_CREATE = "/ubp-api-control/process/app/create";

}
